Summary:	Low-level library for netfilter related kernel/userspace communication
Summary(pl.UTF-8):	Niskopoziomowa biblioteka do związanej z netfiltrem komunikacji między jądrem a przestrzenią użytkownika
Name:		libnfnetlink
Version:	1.0.1
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://www.netfilter.org/projects/libnfnetlink/files/%{name}-%{version}.tar.bz2
# Source0-md5:	98927583d2016a9fb1936fed992e2c5e
URL:		http://www.netfilter.org/projects/libnfnetlink/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
BuildRequires:	libtool
%define		_llh_version	7:2.6.12.0-9
BuildRequires:	linux-libc-headers >= %{_llh_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as
nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) and their
respective users and/or management tools in userspace. This library is
not meant as a public API for application developers. It is only used
by other netfilter.org projects, such as libnetfilter_log,
libnetfilter_queue or libnetfilter_conntrack.

%description -l pl.UTF-8
libnfnetlink to niskopoziomowa biblioteka do związanej z netfiltrem
komunikacji między jądrem a przestrzenią użytkownika. Udostępnia
ogólną infrastrukturę komunikatów dla podsystemów netfiltra w jądrze
(takich jak nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) oraz
ich użytkowników i/lub narzędzi zarządzających w przestrzeni
użytkownika. Ta biblioteka nie jest przeznaczona jako publiczne API
dla twórców aplikacji; jest jedynie używana przez inne projekty
netfilter.org, takie jak libnetfilter_log, libnetfilter_queue czy
libnetfilter_conntrack.

%package devel
Summary:	Header files for libnfnetlink library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnfnetlink
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	linux-libc-headers >= %{_llh_version}

%description devel
Header files for libnfnetlink library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnfnetlink.

%package static
Summary:	Static libnfnetlink library
Summary(pl.UTF-8):	Statyczna biblioteka libnfnetlink
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnfnetlink library.

%description static -l pl.UTF-8
Statyczna biblioteka libnfnetlink.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libnfnetlink.so.*.*.*
%ghost %{_libdir}/libnfnetlink.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnfnetlink.so
%{_libdir}/libnfnetlink.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_pkgconfigdir}/%{name}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnfnetlink.a
%changelog
* Mon Oct 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 5e002bd
- updated to 1.0.1

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cf7678
- release 2

* Thu Apr 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 30be021
- updated to 1.0.0

* Thu Apr 30 2009 amateja <amateja@pld-linux.org> 9a15e37
- up to 0.0.41

* Mon Jan 26 2009 areq <areq@pld-linux.org> bb8bbac
- 0.0.40

* Mon Aug 04 2008 zbyniu <zbyniu@pld-linux.org> ee8e5d6
- up to 0.0.39

* Fri May 30 2008 zbyniu <zbyniu@pld-linux.org> f1d5dc6
- up to 0.0.33

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 2a01507
- updated to 0.0.30

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> aedf047
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 067ecfc
- converted to UTF-8

* Thu Jan 11 2007 Paweł Sikora <pluto@pld-linux.org> dcffad5
- updated to 0.0.25.

* Fri Jan 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c4c4f3a
- rel 3

* Sat Nov 25 2006 Jakub Bogusz <qboosh@pld-linux.org> 69bec25
- complete ac/am rebuild
- unified files
- License is GPL v2

* Mon Sep 18 2006 Paweł Sikora <pluto@pld-linux.org> 9b27509
- add .pc to -devel, release 2.

* Mon Sep 18 2006 Paweł Sikora <pluto@pld-linux.org> a8f8a99
- BR: libtool.

* Mon Sep 18 2006 Paweł Sikora <pluto@pld-linux.org> 9bbb439
- updated to 0.0.16.

* Sun Jan 15 2006 Paweł Sikora <pluto@pld-linux.org> d781528
- updated to 0.0.14.

* Mon Nov 28 2005 Paweł Sikora <pluto@pld-linux.org> 1316c6e
- release 2.

* Thu Nov 17 2005 Paweł Sikora <pluto@pld-linux.org> 74e09a1
- current llh-2.6.12-9 is enough.

* Wed Nov 16 2005 Jakub Bogusz <qboosh@pld-linux.org> 93fc634
- pl
- @kernel_ver in release was wrong - it's built against llh not kernel headers
- no R: kernel in userspace packages

